Move a rep to a team
curl --request PUT \
--url https://api.pineyard.ai/speech/reps/{id}/team \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"teamId": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({teamId: '<string>'})
};
fetch('https://api.pineyard.ai/speech/reps/{id}/team', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/speech/reps/{id}/team"
payload = { "teamId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>",
"createdAt": "<string>"
}Reps & teams
Move a rep to a team
PUT
/
speech
/
reps
/
{id}
/
team
Move a rep to a team
curl --request PUT \
--url https://api.pineyard.ai/speech/reps/{id}/team \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"teamId": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({teamId: '<string>'})
};
fetch('https://api.pineyard.ai/speech/reps/{id}/team', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/speech/reps/{id}/team"
payload = { "teamId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>",
"createdAt": "<string>"
}Required scope:
speech.editAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Path Parameters
Body
application/json

